1. Registry
  2. Packages
  3. Volcenginecc Provider
  4. API Docs
  5. waf
  6. getCustomPage
Viewing docs for volcenginecc v0.0.60
published on Thursday, Sep 3, 2026 by Volcengine
volcenginecc logo
Viewing docs for volcenginecc v0.0.60
published on Thursday, Sep 3, 2026 by Volcengine

    Data Source schema for Volcengine::WAF::CustomPage

    Using getCustomPage

    Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.

    function getCustomPage(args: GetCustomPageArgs, opts?: InvokeOptions): Promise<GetCustomPageResult>
    function getCustomPageOutput(args: GetCustomPageOutputArgs, opts?: InvokeOutputOptions): Output<GetCustomPageResult>
    def get_custom_page(id: Optional[str] = None,
                        opts: Optional[InvokeOptions] = None) -> GetCustomPageResult
    def get_custom_page_output(id: pulumi.Input[Optional[str]] = None,
                        opts: Optional[InvokeOutputOptions] = None) -> Output[GetCustomPageResult]
    func LookupCustomPage(ctx *Context, args *LookupCustomPageArgs, opts ...InvokeOption) (*LookupCustomPageResult, error)
    func LookupCustomPageOutput(ctx *Context, args *LookupCustomPageOutputArgs, opts ...InvokeOption) LookupCustomPageResultOutput

    > Note: This function is named LookupCustomPage in the Go SDK.

    public static class GetCustomPage 
    {
        public static Task<GetCustomPageResult> InvokeAsync(GetCustomPageArgs args, InvokeOptions? opts = null)
        public static Output<GetCustomPageResult> Invoke(GetCustomPageInvokeArgs args, InvokeOptions? opts = null)
        public static Output<GetCustomPageResult> Invoke(GetCustomPageInvokeArgs args, InvokeOutputOptions opts)
    }
    public static CompletableFuture<GetCustomPageResult> getCustomPage(GetCustomPageArgs args, InvokeOptions options)
    public static Output<GetCustomPageResult> getCustomPage(GetCustomPageArgs args, InvokeOptions options)
    public static Output<GetCustomPageResult> getCustomPage(GetCustomPageArgs args, InvokeOutputOptions options)
    
    fn::invoke:
      function: volcenginecc:waf/getCustomPage:getCustomPage
      arguments:
        # arguments dictionary
    data "volcenginecc_waf_get_custom_page" "name" {
        # arguments
    }

    The following arguments are supported:

    Id string
    Uniquely identifies the resource.
    Id string
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.
    id string
    Uniquely identifies the resource.
    id str
    Uniquely identifies the resource.
    id String
    Uniquely identifies the resource.

    getCustomPage Result

    The following output properties are available:

    Accurate Volcengine.GetCustomPageAccurate
    Advanced condition configuration. Only takes effect when Advanced=1.
    Advanced int
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    Body string
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    ClientIp string
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    Code string
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    ContentType string
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    Description string
    Rule description.
    Enable int
    Rule switch. 0: Off; 1: On.
    Host string
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    Id string
    Uniquely identifies the resource.
    Name string
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    PageMode int
    Response page mode. 0: Custom response body; 2: Redirect URL.
    Policy int
    Associated protection policy. 1: Observe; 8: Block.
    ProjectName string
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    RedirectUrl string
    Redirect target URL. Only effective when PageMode=2.
    RuleId string
    Custom block response rule ID.
    RuleTag string
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    UpdateTime string
    Last updated time of the rule.
    Url string
    URL path where the rule takes effect.
    Accurate GetCustomPageAccurate
    Advanced condition configuration. Only takes effect when Advanced=1.
    Advanced int
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    Body string
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    ClientIp string
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    Code string
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    ContentType string
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    Description string
    Rule description.
    Enable int
    Rule switch. 0: Off; 1: On.
    Host string
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    Id string
    Uniquely identifies the resource.
    Name string
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    PageMode int
    Response page mode. 0: Custom response body; 2: Redirect URL.
    Policy int
    Associated protection policy. 1: Observe; 8: Block.
    ProjectName string
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    RedirectUrl string
    Redirect target URL. Only effective when PageMode=2.
    RuleId string
    Custom block response rule ID.
    RuleTag string
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    UpdateTime string
    Last updated time of the rule.
    Url string
    URL path where the rule takes effect.
    accurate object
    Advanced condition configuration. Only takes effect when Advanced=1.
    advanced number
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    body string
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    client_ip string
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    code string
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    content_type string
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    description string
    Rule description.
    enable number
    Rule switch. 0: Off; 1: On.
    host string
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    id string
    Uniquely identifies the resource.
    name string
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    page_mode number
    Response page mode. 0: Custom response body; 2: Redirect URL.
    policy number
    Associated protection policy. 1: Observe; 8: Block.
    project_name string
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    redirect_url string
    Redirect target URL. Only effective when PageMode=2.
    rule_id string
    Custom block response rule ID.
    rule_tag string
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    update_time string
    Last updated time of the rule.
    url string
    URL path where the rule takes effect.
    accurate GetCustomPageAccurate
    Advanced condition configuration. Only takes effect when Advanced=1.
    advanced Integer
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    body String
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    clientIp String
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    code String
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    contentType String
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    description String
    Rule description.
    enable Integer
    Rule switch. 0: Off; 1: On.
    host String
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    id String
    Uniquely identifies the resource.
    name String
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    pageMode Integer
    Response page mode. 0: Custom response body; 2: Redirect URL.
    policy Integer
    Associated protection policy. 1: Observe; 8: Block.
    projectName String
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    redirectUrl String
    Redirect target URL. Only effective when PageMode=2.
    ruleId String
    Custom block response rule ID.
    ruleTag String
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    updateTime String
    Last updated time of the rule.
    url String
    URL path where the rule takes effect.
    accurate GetCustomPageAccurate
    Advanced condition configuration. Only takes effect when Advanced=1.
    advanced number
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    body string
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    clientIp string
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    code string
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    contentType string
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    description string
    Rule description.
    enable number
    Rule switch. 0: Off; 1: On.
    host string
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    id string
    Uniquely identifies the resource.
    name string
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    pageMode number
    Response page mode. 0: Custom response body; 2: Redirect URL.
    policy number
    Associated protection policy. 1: Observe; 8: Block.
    projectName string
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    redirectUrl string
    Redirect target URL. Only effective when PageMode=2.
    ruleId string
    Custom block response rule ID.
    ruleTag string
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    updateTime string
    Last updated time of the rule.
    url string
    URL path where the rule takes effect.
    accurate GetCustomPageAccurate
    Advanced condition configuration. Only takes effect when Advanced=1.
    advanced int
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    body str
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    client_ip str
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    code str
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    content_type str
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    description str
    Rule description.
    enable int
    Rule switch. 0: Off; 1: On.
    host str
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    id str
    Uniquely identifies the resource.
    name str
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    page_mode int
    Response page mode. 0: Custom response body; 2: Redirect URL.
    policy int
    Associated protection policy. 1: Observe; 8: Block.
    project_name str
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    redirect_url str
    Redirect target URL. Only effective when PageMode=2.
    rule_id str
    Custom block response rule ID.
    rule_tag str
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    update_time str
    Last updated time of the rule.
    url str
    URL path where the rule takes effect.
    accurate Property Map
    Advanced condition configuration. Only takes effect when Advanced=1.
    advanced Number
    Enable advanced conditions. 0: Off (default); 1: On. If enabled, Accurate must also be configured.
    body String
    Custom response page content. Maximum length: 4096 bytes. Only effective when PageMode=0.
    clientIp String
    Client IP. Value is fixed as ALL, meaning it applies to all source IPs.
    code String
    Custom response status code, such as 403, 405, 503. Only effective when PageMode=0.
    contentType String
    Custom response Content-Type response header. For example: text/html, application/json, etc. Only effective when PageMode=0.
    description String
    Rule description.
    enable Number
    Rule switch. 0: Off; 1: On.
    host String
    Domain name. The website domain name to be protected. Before calling, make sure the domain name has been added to the current WAF instance.
    id String
    Uniquely identifies the resource.
    name String
    Rule name. Must start with a Chinese character, letter, or number. Allows Chinese characters, letters, numbers, periods (.), underscores (_), and hyphens (-). Length: 1–128 characters.
    pageMode Number
    Response page mode. 0: Custom response body; 2: Redirect URL.
    policy Number
    Associated protection policy. 1: Observe; 8: Block.
    projectName String
    Project name, which is the project associated with the current resource. Only projects with permissions under the current identity can be associated. Default is default.
    redirectUrl String
    Redirect target URL. Only effective when PageMode=2.
    ruleId String
    Custom block response rule ID.
    ruleTag String
    Rule display ID. The RuleTag prefix for custom interception response rules is always B, consisting of the prefix B and a 12-digit RuleId (zero-padded in the middle if fewer than 12 digits). For example, RuleId=116869 corresponds to RuleTag=B000000116869.
    updateTime String
    Last updated time of the rule.
    url String
    URL path where the rule takes effect.

    Supporting Types

    GetCustomPageAccurate

    AccurateRules List<Volcengine.GetCustomPageAccurateAccurateRule>
    Sub-rule list in advanced conditions.
    Logic int
    Logical relationship between sub-rules. 0: OR; 1: AND.
    AccurateRules []GetCustomPageAccurateAccurateRule
    Sub-rule list in advanced conditions.
    Logic int
    Logical relationship between sub-rules. 0: OR; 1: AND.
    accurate_rules list(object)
    Sub-rule list in advanced conditions.
    logic number
    Logical relationship between sub-rules. 0: OR; 1: AND.
    accurateRules List<GetCustomPageAccurateAccurateRule>
    Sub-rule list in advanced conditions.
    logic Integer
    Logical relationship between sub-rules. 0: OR; 1: AND.
    accurateRules GetCustomPageAccurateAccurateRule[]
    Sub-rule list in advanced conditions.
    logic number
    Logical relationship between sub-rules. 0: OR; 1: AND.
    accurate_rules Sequence[GetCustomPageAccurateAccurateRule]
    Sub-rule list in advanced conditions.
    logic int
    Logical relationship between sub-rules. 0: OR; 1: AND.
    accurateRules List<Property Map>
    Sub-rule list in advanced conditions.
    logic Number
    Logical relationship between sub-rules. 0: OR; 1: AND.

    GetCustomPageAccurateAccurateRule

    HttpObj string
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    ObjType int
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    Opretar int
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    Property int
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    ValueString string
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    HttpObj string
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    ObjType int
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    Opretar int
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    Property int
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    ValueString string
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    http_obj string
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    obj_type number
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    opretar number
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    property number
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    value_string string
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    httpObj String
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    objType Integer
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    opretar Integer
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    property Integer
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    valueString String
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    httpObj string
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    objType number
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    opretar number
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    property number
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    valueString string
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    http_obj str
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    obj_type int
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    opretar int
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    property int
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    value_string str
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.
    httpObj String
    Matching object. For example: request.uri, request.header, request.header.clientip, request.queryargs.abc, request.header.custom-header, request.cookie.custom-cookie, etc.
    objType Number
    Matching object type enumeration. 0: Request protocol; 1: Request URI; 2: Request method; 3: Request path; 4: Request parameter; 5: Request header; 6: User-Agent; 7: Referer; 8: Cookie; 9: Request body length; 10: Request body format; 11: X-Forwarded-For; 12: Client IP; 13: Custom Args; 14: Custom Header; 15: Custom Cookie.
    opretar Number
    Matching operator enumeration. 0–5: numerical comparison; 6–11: substring match; 12–15: set match; 16: regex; 17–21: IP recognition (only for request.header.clientip or custom objects).
    property Number
    Matching attribute type enumeration. 0: Value; 5: IP (used only when Operator=17~21).
    valueString String
    Matching value. For IP recognition operations with Operator=17~21, no matching content is involved and this can be an empty string; for other operators, enter the actual matching value.

    Package Details

    Repository
    volcenginecc volcengine/pulumi-volcenginecc
    License
    MPL-2.0
    Notes
    This Pulumi package is based on the volcenginecc Terraform Provider.
    volcenginecc logo
    Viewing docs for volcenginecc v0.0.60
    published on Thursday, Sep 3, 2026 by Volcengine

      Try Pulumi Cloud free.
      Your team will thank you.

      Start free trial